summaryrefslogtreecommitdiffstats
path: root/jjb/oom/oom-helm.yaml
diff options
context:
space:
mode:
authorGary Wu <gary.wu@futurewei.com>2019-06-26 08:08:11 -0700
committerGary Wu <gary.wu@futurewei.com>2019-06-26 08:08:11 -0700
commitddb341690123bd1823c39d0f0bce8fe09d145bdf (patch)
tree539dc2f51972fb88c01f0bea695397a3432e5736 /jjb/oom/oom-helm.yaml
parent93d6f2235e57d008af7686e607dd6997d6bc0394 (diff)
Allow staging images only on OOM staging branch
Issue-ID: INT-1055 Signed-off-by: Gary Wu <gary.wu@futurewei.com> Change-Id: Idde622a1b4160f6f87b42e0252d902b5f3dd84d4
Diffstat (limited to 'jjb/oom/oom-helm.yaml')
-rw-r--r--jjb/oom/oom-helm.yaml16
1 files changed, 10 insertions, 6 deletions
diff --git a/jjb/oom/oom-helm.yaml b/jjb/oom/oom-helm.yaml
index 5a7d377a1..13886207c 100644
--- a/jjb/oom/oom-helm.yaml
+++ b/jjb/oom/oom-helm.yaml
@@ -12,17 +12,21 @@
#!/bin/bash
set -e -o pipefail
cd kubernetes/
- if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
- echo "[ERROR] Only release images are allowed in helm charts."
- exit 1
+ if [ "$GERRIT_BRANCH" != "staging" ]; then
+ if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+ echo "[ERROR] Only release images are allowed in helm charts."
+ exit 1
+ fi
fi
make all
subproject_build_script: |
#!/bin/bash
cd kubernetes/
- if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
- echo "[ERROR] Only release images are allowed in helm charts."
- exit 1
+ if [ "$GERRIT_BRANCH" != "staging" ]; then
+ if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+ echo "[ERROR] Only release images are allowed in helm charts."
+ exit 1
+ fi
fi
make common
make {subproject}